/*  -----------------------------
     FLASH MESSAGES
    ----------------------------- */
#messages {
    position: fixed;
    right: 2rem;
    bottom: 6rem;
    width: 25rem;
    max-width: 80%;
    z-index: 8000;
    font-family: var(--m-font);
    font-size: 1rem;
    color: var(--m-color);
}

#messages > section {
    position: relative;
    margin-top: 2rem;
    padding: 1rem 1rem 1.5rem 5rem;
    border-radius: var(--m-radius);
    overflow: hidden;
}

#messages > section::before {
    position: absolute;
    top: 0;
    left: 0;
    width: 4rem;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Line Awesome Free';
    font-weight: 900;
    font-size: 2.5rem;
    background-color: rgba(0, 0, 0, .25);
}

#messages header {
    display: grid;
    grid-template-columns: 1fr 1.5rem;
    align-items: center;
    justify-content: center;
    line-height: 2.5rem;
    margin-bottom: .5rem;
    border-bottom: 1px solid rgba(255, 255, 255, .25);
}

#messages header h4, #messages header a {
    font-size: 1.5rem;
    font-weight: 400;
}

#messages > section::before, #messages header, #messages a {
    color: var(--m-color);
    text-shadow: var(--shadow);
}

.message-success, .message-thanks {
    background-color: var(--m-success);
}

.message-success::before, .message-thanks::before {
    content: "\f14a";
}

.message-error {
    background-color: var(--m-error);
}

.message-error::before {
    content: "\f071";
}